diff diff-template @ 2335:4a9feb849125

[project @ 1996-07-19 02:51:02 by jwe] Initial revision
author jwe
date Fri, 19 Jul 1996 02:53:49 +0000
parents
children 66fdc831c580
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/diff-template	Fri Jul 19 02:53:49 1996 +0000
@@ -0,0 +1,61 @@
+#!/bin/sh
+#
+# To apply this patch, cd to the top level Octave source directory and
+# run this file through /bin/sh.  It will first remove any files that
+# have been deleted from the source distribution since the last
+# release and then update the sources with patch(1).
+#
+# Diffs for updating *.ps, *.dvi, and *.info* files are not included
+# because they can be recreated from the Texinfo files using TeX and
+# makeinfo.
+#
+# Diffs for updating parse.cc and y.tab.h are not included because
+# they can be recreated from the file parse.y using bison.
+#
+# Diffs for updating lex.cc are not included because it can be
+# recreated from lex.l using flex.
+#
+# Diffs for updating the configure script are not included because
+# it can be recreated from configure.in using autoconf.
+#
+# John W. Eaton
+# jwe@bevo.che.wisc.edu
+# University of Wisconsin-Madison
+# Department of Chemical Engineering
+
+if test -f src/octave.cc ; then
+  true
+else
+  echo '***********************************************************' 1>&2
+  echo 'You must run this script in the top-level octave directory!' 1>&2
+  echo '***********************************************************' 1>&2
+  exit 1
+fi
+
+echo 'removing the bsd-math directory'
+rm -rf bsd-math
+
+echo 'creating libcruft/slatec-fn directory'
+mkdir libcruft/slatec-fn
+
+echo 'removing old test files'
+rm -f test/octave.test/index.exp
+rm -f test/octave.test/prefer.exp
+rm -f test/octave.test/zero-one.exp
+
+echo 'creating directories for new test files'
+mkdir test/octave.test/index/dfi-f
+mkdir test/octave.test/index/dfi-t
+mkdir test/octave.test/prefer
+mkdir test/octave.test/zero-one/fff
+mkdir test/octave.test/zero-one/fft
+mkdir test/octave.test/zero-one/ftf
+mkdir test/octave.test/zero-one/tff
+mkdir test/octave.test/zero-one/ftt
+mkdir test/octave.test/zero-one/tft
+mkdir test/octave.test/zero-one/ttf
+mkdir test/octave.test/zero-one/ttt
+
+echo 'patching existing files'
+patch -p1 << \PATCH_EOF
+PATCH_EOF